Package weka.classifiers.trees.j48

# Class ModelSelection

java.lang.Object
weka.classifiers.trees.j48.ModelSelection

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Direct Known Subclasses:
  `BinC45ModelSelection`, `C45ModelSelection`, `NBTreeModelSelection`, `ResidualModelSelection`

public abstract class ModelSelection extends Object implements Serializable, RevisionHandler
Abstract class for model selection criteria.

Version:
  $Revision: 1.8 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModelSelection()`

## Method Summary

Modifier and Type
Method
Description
`abstract ClassifierSplitModel`
`selectModel(Instances data)`
Selects a model for the given dataset.
`ClassifierSplitModel`
`selectModel(Instances train, Instances test)`
Selects a model for the given train data using the given test data

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface weka.core.RevisionHandler

`getRevision`

## Constructor Details

### ModelSelection

public ModelSelection()

## Method Details

### selectModel

public abstract ClassifierSplitModel selectModel(Instances data) throws Exception
Selects a model for the given dataset.

Throws:
  `Exception` - if model can't be selected

### selectModel

public ClassifierSplitModel selectModel(Instances train, Instances test) throws Exception
Selects a model for the given train data using the given test data

Throws:
  `Exception` - if model can't be selected